update-initramfs: upgrade problem

Post your update and upgrade related errors here
Forum rules
Before you post please read this

update-initramfs: upgrade problem

Postby snvv on Fri Apr 22, 2011 5:31 am

Hello,
Today I DU and I got the following error message
Code: Select all
# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]?
Setting up initramfs-tools (0.98.8) ...
update-initramfs: deferring update (trigger activated)
Setting up linux-image-2.6.38-2-amd64 (2.6.38-3) ...
Running depmod.
Running update-initramfs.
update-initramfs: Generating /boot/initrd.img-2.6.38-2-amd64
E: /usr/share/initramfs-tools/hooks/iscan failed with return 1.
update-initramfs: failed for /boot/initrd.img-2.6.38-2-amd64
update-initramfs failed to create initrd image.
Failed to create initrd image.
dpkg: error processing linux-image-2.6.38-2-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.38-2-amd64
E: /usr/share/initramfs-tools/hooks/iscan failed with return 1.
update-initramfs: failed for /boot/initrd.img-2.6.38-2-amd64
dpkg: error processing initramfs-tools (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while processing:
 linux-image-2.6.38-2-amd64
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)


So, please do not upgrade for a while before the issue is solved.

At the moment I can reboot and I can't see any problem but I do not know what is going to happen.
snvv
Level 1
Level 1
 
Posts: 11
Joined: Sun Mar 06, 2011 4:29 pm

Linux Mint is funded by ads and donations.
 

Re: update-initramfs: upgrade problem

Postby viking777 on Fri Apr 22, 2011 6:16 am

if your du says this:
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


Then there haven't been any updates for you today (mind you as you don't appear to have run apt-get update - or you don't state that you have - that is not surprising)

But if it also says this:

2 not fully installed or removed.


Therefore has been a problem left behind from some previous update.

Probably

Code: Select all
sudo apt-get -f install


will cure it for you, or at least give you a clue as to what is wrong.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: update-initramfs: upgrade problem

Postby snvv on Fri Apr 22, 2011 7:50 am

viking777
There was updates installed correctly. My quoted dist-upgrade was after the first DU (I did'n keep the info). That's why it says "2 not fully installed"
I am used (more than 7 years) to run dist-upgrade and not update in debian sid without problems.
From now on i will run an update first, but I have to solve my current problem for now.
Thank you
snvv
Level 1
Level 1
 
Posts: 11
Joined: Sun Mar 06, 2011 4:29 pm

Re: update-initramfs: upgrade problem

Postby snvv on Fri Apr 22, 2011 9:00 am

OK the problem was iscan. After removing the file I could DU correctly.
Then I installed iscan again and I got

# dpkg -i esci-interpreter-gt-f720_0.0.1-2_amd64.deb iscan_2.24.0-4.ltdl7_amd64.deb
Selecting previously deselected package esci-interpreter-gt-f720.
(Reading database ... 256718 files and directories currently installed.)
Unpacking esci-interpreter-gt-f720 (from esci-interpreter-gt-f720_0.0.1-2_amd64.deb) ...
Selecting previously deselected package iscan.
Unpacking iscan (from iscan_2.24.0-4.ltdl7_amd64.deb) ...
Setting up iscan (2.24.0-4.ltdl7) ...

gzip: /boot/initrd.img-2.6.32-5-amd64: not in gzip format
cpio: premature end of archive

gzip: /boot/initrd.img-2.6.38-2-amd64: not in gzip format
cpio: premature end of archive

Processing triggers for gnome-menus ...
Processing triggers for desktop-file-utils ...
Processing triggers for menu ...
Processing triggers for man-db ...
Setting up esci-interpreter-gt-f720 (0.0.1-2) ...


Please note my comments in bold.
At least now the problem is gone and my scanner is working.
snvv
Level 1
Level 1
 
Posts: 11
Joined: Sun Mar 06, 2011 4:29 pm


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: metalhamster and 6 guests